ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# MdTag 

###
Companion object MdTag

#### case class MdTag(start: Long, matches: List[NumericRange[Long]], mismatches: Map[Long, Char], deletions: Map[Long, Char]) extends Product with Serializable

Represents the mismatches and deletions present in a read that has been aligned to a reference genome. The MD tag can be used to reconstruct the reference that an aligned read overlaps.

start

  Start position of the alignment.

matches

  A list of the ranges over which the read has a perfect sequence match.

mismatches

  A map of all the locations where a base mismatched.

deletions

  A map of all locations where a base was deleted.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MdTag
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MdTag(start: Long, matches: List[NumericRange[Long]], mismatches: Map[Long, Char], deletions: Map[Long, Char])

   start

     Start position of the alignment.

   matches

     A list of the ranges over which the read has a perfect sequence match.

   mismatches

     A map of all the locations where a base mismatched.

   deletions

     A map of all locations where a base was deleted.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def canEqual(other: Any): Boolean

   We can check equality against MdTags.

   We can check equality against MdTags.

   other

     Object to see if we can compare against.

   returns

     Returns True if the object is an MdTag.

   Definition Classes
     MdTag → Equals
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def countOfMismatches: Int

   Returns the number of mismatches against the reference.

   Returns the number of mismatches against the reference.

   returns

     Number of mismatches against the reference

8.  def deletedBase(pos: Long): Option[Char]

   Returns the base that was deleted at a position.

   Returns the base that was deleted at a position.

   pos

     Reference based position.

   returns

     The base that was deleted at this position in the reference.

9.  val deletions: Map[Long, Char]
10.  def end(): Long

    Returns the end position of the record described by this MD tag.

    Returns the end position of the record described by this MD tag.

    returns

      The reference based end position of this tag.

11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(other: Any): Boolean

    We implement equality checking by seeing whether two MD tags are at the same position and have the same value.

    We implement equality checking by seeing whether two MD tags are at the same position and have the same value.

    other

      An object to compare to.

    returns

      True if the object is an MD tag at the same position and with the same string value. Else, false.

    Definition Classes
      MdTag → Equals → AnyRef → Any
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def getReference(read: RichAlignment, withGaps: Boolean = false): String

    Given a read, returns the reference.

    Given a read, returns the reference.

    read

      A read for which one desires the reference sequence.

    withGaps

      If true, applies INDEL gaps to the reference. Else, returns the raw reference sequence.

    returns

      A string corresponding to the reference overlapping this read.

15.  def hasMismatches: Boolean

    Returns whether this read has any mismatches against the reference.

    Returns whether this read has any mismatches against the reference.

    returns

      True if this read has mismatches. We do not return true if the read has no mismatches but has deletions.

16.  def hashCode(): Int

    returns

      We implement hashing by hashing the string representation of the MD tag.

    Definition Classes
      MdTag → AnyRef → Any
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  def isMatch(pos: ReferencePosition): Boolean

    Returns whether a base is a match against the reference.

    Returns whether a base is a match against the reference.

    pos

      ReferencePosition object describing where to check.

    returns

      True if base matches reference. False means that the base may be either a mismatch or a deletion.

19.  def isMatch(pos: Long): Boolean

    Returns whether a base is a match against the reference.

    Returns whether a base is a match against the reference.

    pos

      Reference based position to check.

    returns

      True if base matches reference. False means that the base may be either a mismatch or a deletion.

20.  val matches: List[NumericRange[Long]]
21.  def mismatchedBase(pos: Long): Option[Char]

    Returns the mismatched base at a position.

    Returns the mismatched base at a position.

    pos

      Reference based position.

    returns

      The base at this position in the reference.

22.  val mismatches: Map[Long, Char]
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  val start: Long
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String

    Converts an MdTag object to a properly formatted MD string.

    Converts an MdTag object to a properly formatted MD string.

    returns

      MD string corresponding to [0-9]+(([A-Z]|\^[A-Z]+)[0-9]+)

    Definition Classes
      MdTag → AnyRef → Any
    See also

      http://zenfractal.com/2013/06/19/playing-with-matches/

29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped